%define python3_pkgversion 3.11

# Created by pyp2rpm-3.3.10
%global pypi_name s3transfer
%global pypi_version 0.10.4

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        An Amazon S3 Transfer Manager

License:        Apache License 2.0
URL:            https://github.com/boto/s3transfer
Source0:        %{pypi_name}-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-wheel
BuildRequires:  python%{python3_pkgversion}-pip

%description
S3transfer is a Python library for managing Amazon S3 transfers.
This project is maintained and published by Amazon Web Services.

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

Requires:       (python%{python3_pkgversion}dist(botocore) >= 1.33.2 with python%{python3_pkgversion}dist(botocore) < 2~a0)

%description -n python%{python3_pkgversion}-%{pypi_name}
S3transfer is a Python library for managing Amazon S3 transfers.
This project is maintained and published by Amazon Web Services.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_pkgversion}.egg-info

%changelog
* Fri Feb 07 2025 Craig Guiller <craig.guiller@oracle.com> - 0.10.4-1
- Update to 0.10.4

* Tue Jul 30 2024 David Sloboda <david.x.sloboda@oracle.com> - 0.10.1-1
- Initial package.
